# Interface BCF2GenotypeFieldDecoders.Decoder

Enclosing class:
  `BCF2GenotypeFieldDecoders`

public static interface BCF2GenotypeFieldDecoders.Decoder
Decoder a field (implicit from creation) encoded as typeDescriptor in the decoder object in the GenotypeBuilders one for each sample in order. The way this works is that this decode method iterates over the builders, decoding a genotype field in BCF2 for each sample from decoder. This system allows us to easily use specialized decoders for specific genotype field values. For example, we use a special decoder to directly read the BCF2 data for the PL field into a int[] rather than the generic List of Integer

Since:
  6/12

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(List<Allele> siteAlleles, String field, BCF2Decoder decoder, byte typeDescriptor, int numElements, GenotypeBuilder[] gbs)`

## Method Details

### decode

void decode(List<Allele> siteAlleles, String field, BCF2Decoder decoder, byte typeDescriptor, int numElements, GenotypeBuilder[] gbs) throws IOException

Throws:
  `IOException`